aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-07-30 01:41:53 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-07-30 02:09:31 +1200
commit4029cebd2abe02bed49b59052e62097aac2767d3 (patch)
tree2cab2439c5627be3aea1061aafcb8b491f2d0eb7 /bin
parentUse terser syntax for .d loop sources (diff)
downloaddotfiles-4029cebd2abe02bed49b59052e62097aac2767d3.tar.gz
dotfiles-4029cebd2abe02bed49b59052e62097aac2767d3.zip
Change pa and paz bash funcs to sh scripts
Diffstat (limited to 'bin')
-rwxr-xr-xbin/pa4
-rw-r--r--bin/paz4
2 files changed, 8 insertions, 0 deletions
diff --git a/bin/pa b/bin/pa
new file mode 100755
index 00000000..35966464
--- /dev/null
+++ b/bin/pa
@@ -0,0 +1,4 @@
+#!/bin/sh
+# Print arguments, one per line. Compare paz(1).
+[ "$#" -gt 0 ] || return 0
+printf '%s\n' "$@"
diff --git a/bin/paz b/bin/paz
new file mode 100644
index 00000000..679c55f8
--- /dev/null
+++ b/bin/paz
@@ -0,0 +1,4 @@
+#!/bin/sh
+# Print arguments, terminated by null chars. Compare pa(1).
+[ "$#" -gt 0 ] || return 0
+printf '%s\0' "$@"